USN-3801-2

See a problem?
Source
https://ubuntu.com/security/notices/USN-3801-2
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3801-2.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3801-2
Published
2018-11-23T20:20:44.597066Z
Modified
2018-11-23T20:20:44.597066Z
Summary
firefox regressions
Details

USN-3801-1 fixed vulnerabilities in Firefox. The update introduced various minor regressions. This update fixes the problems.

We apologize for the inconvenience.

Original advisory details:

Multiple security issues were discovered in Firefox. If a user were tricked in to opening a specially crafted website, an attacker could potentially exploit these to cause a denial of service, bypass CSP restrictions, spoof the protocol registration notification bar, leak SameSite cookies, bypass mixed content warnings, or execute arbitrary code. (CVE-2018-12388, CVE-2018-12390, CVE-2018-12392, CVE-2018-12393, CVE-2018-12398, CVE-2018-12399, CVE-2018-12401, CVE-2018-12402, CVE-2018-12403)

Multiple security issues were discovered with WebExtensions in Firefox. If a user were tricked in to installing a specially crafted extension, an attacker could potentially exploit these to bypass domain restrictions, gain additional privileges, or run content scripts in local pages without permission. (CVE-2018-12395, CVE-2018-12396, CVE-2018-12397)

References

Affected packages

Ubuntu:14.04:LTS / firefox

Package

Name
firefox

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
63.0.3+build1-0ubuntu0.14.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "firefox-locale-sl": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-nl": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-kn": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-gl": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-fy": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-kk": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-km": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-or": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-az": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-lt": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-hy": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-eo": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-sv": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-testsuite": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-sr": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-is": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ca": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-uk": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ne": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ga": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-it": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ja": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-lg": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ms": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-zh-hans": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ia": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ko": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-hr": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-mai": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-nb": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-mozsymbols": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-vi": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-dev": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-he": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-sw": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-el": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-oc": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-xh": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-nn": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ar": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-csb": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-cs": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-gn": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-hsb": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-zu": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-my": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ro": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-globalmenu": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-nso": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-af": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-sk": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-si": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-cy": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-fa": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-cak": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-sq": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-en": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-tr": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-br": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-et": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ast": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-th": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-da": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-fi": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ku": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-mn": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ru": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-mk": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-bg": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-hu": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-gu": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-bn": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-kab": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ml": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-an": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-be": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-eu": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-fr": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-pa": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-as": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ta": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-pl": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-bs": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-te": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-id": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ka": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-lv": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-gd": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-uz": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-zh-hant": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-hi": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-es": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-de": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-mr": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-pt": "63.0.3+build1-0ubuntu0.14.04.1",
            "firefox-locale-ur": "63.0.3+build1-0ubuntu0.14.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / firefox

Package

Name
firefox

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
63.0.3+build1-0ubuntu0.18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "firefox-locale-sl": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-nl": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-kn": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-gl": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-fy": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-kk": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-km": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-or": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-az": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-lt": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-hy": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-eo": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-sv": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-testsuite": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-sr": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-is": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ca": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-uk": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ne": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ga": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-it": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ja": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-lg": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ms": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-zh-hans": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ia": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ko": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-hr": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-mai": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-nb": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-mozsymbols": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-vi": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-dev": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-he": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-sw": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-el": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-oc": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-xh": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-nn": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ar": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-csb": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-cs": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-gn": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-hsb": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-zu": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-my": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ro": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-globalmenu": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-nso": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-af": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-sk": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-si": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-cy": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-fa": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-cak": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-sq": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-en": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-tr": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-br": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-et": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ast": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-th": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-da": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-fi": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ku": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-mn": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ru": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-mk": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-bg": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-hu": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-gu": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-bn": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-kab": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ml": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-an": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-be": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-eu": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-fr": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-pa": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-as": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ta": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-pl": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-bs": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-te": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-id": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ka": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-lv": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-gd": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-uz": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-zh-hant": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-hi": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-es": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-de": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-mr": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-pt": "63.0.3+build1-0ubuntu0.18.04.1",
            "firefox-locale-ur": "63.0.3+build1-0ubuntu0.18.04.1"
        }
    ]
}

Ubuntu:16.04:LTS / firefox

Package

Name
firefox

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
63.0.3+build1-0ubuntu0.16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "firefox-locale-sl": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-nl": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-kn": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-gl": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-fy": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-kk": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-km": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-or": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-az": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-lt": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-hy": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-eo": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-sv": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-testsuite": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-sr": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-is": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ca": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-uk": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ne": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ga": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-it": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ja": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-lg": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ms": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-zh-hans": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ia": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ko": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-hr": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-mai": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-nb": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-mozsymbols": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-vi": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-dev": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-he": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-sw": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-el": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-oc": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-xh": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-nn": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ar": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-csb": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-cs": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-gn": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-hsb": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-zu": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-my": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ro": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-globalmenu": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-nso": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-af": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-sk": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-si": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-cy": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-fa": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-cak": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-sq": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-en": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-tr": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-br": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-et": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ast": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-th": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-da": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-fi": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ku": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-mn": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ru": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-mk": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-bg": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-hu": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-gu": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-bn": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-kab": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ml": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-an": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-be": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-eu": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-fr": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-pa": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-as": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ta": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-pl": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-bs": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-te": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-id": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ka": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-lv": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-gd": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-uz": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-zh-hant": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-hi": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-es": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-de": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-mr": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-pt": "63.0.3+build1-0ubuntu0.16.04.1",
            "firefox-locale-ur": "63.0.3+build1-0ubuntu0.16.04.1"
        }
    ]
}